# Uses of Class
org.eclipse.swt.browser.LocationEvent

Packages that use LocationEvent
Package
Description
org.eclipse.swt.browser

## Uses of LocationEvent in org.eclipse.swt.browser

Methods in org.eclipse.swt.browser with parameters of type LocationEvent
Modifier and Type
Method
Description
`void`
LocationAdapter.`changed(LocationEvent event)`
`void`
LocationListener.`changed(LocationEvent event)`
This method is called when the current location is changed.
`void`
LocationAdapter.`changing(LocationEvent event)`
`void`
LocationListener.`changing(LocationEvent event)`
This method is called when the current location is about to be changed.
Method parameters in org.eclipse.swt.browser with type arguments of type LocationEvent
Modifier and Type
Method
Description
`static LocationListener`
LocationListener.`changedAdapter(Consumer<LocationEvent> c)`
Static helper method to create a `LocationListener` for the `LocationListener.changed(LocationEvent e)`) method, given a lambda expression or a method reference.
`static LocationListener`
LocationListener.`changingAdapter(Consumer<LocationEvent> c)`
Static helper method to create a `LocationListener` for the `LocationListener.changing(LocationEvent e)`) method, given a lambda expression or a method reference.